# -*- coding: utf-8 -*-


from collections import OrderedDict


# locales ----------------------------------------------------------------------

locales = OrderedDict(
    (
        ("af", "Afrikaans"),
        ("ar", "العربية"),
        ("az", "Azərbaycan"),
        ("be", "Беларуская"),
        ("bg", "Български"),
        ("bn", "বাংলা"),
        ("ca", "Català"),
        ("cs", "Čeština"),
        ("cy", "Welsh"),
        ("da", "Dansk"),
        ("de", "Deutsch"),
        ("el", "Ελληνικά"),
        ("en-US", "English (US)"),
        ("eo", "Esperanto"),
        ("es", "Español (España)"),
        ("et", "Eesti"),
        ("eu", "Euskara"),
        ("fa", "فارسی"),
        ("fi", "Suomi"),
        ("fr", "Français"),
        ("he", "עברית"),
        ("hi", "हिन्दी"),
        ("hr", "Hrvatski"),
        ("hu-HU", "Magyar"),
        ("ia", "Interlingua"),
        ("id", "Bahasa Indonesia"),
        ("is", "Íslenska"),
        ("it", "Italiano"),
        ("ja", "日本語"),
        ("ko", "한국어"),
        ("lmo", "Lombard"),
        ("lt", "Lietuvių"),
        ("nb-NO", "Norsk Bokmål"),
        ("nl", "Nederlands"),
        ("or", "ଓଡ଼ିଆ"),
        ("pl", "Polski"),
        ("pt-BR", "Português (Brasil)"),
        ("pt-PT", "Português (Portugal)"),
        ("pt", "Português"),
        ("ro", "Română"),
        ("ru", "Русский"),
        ("si", "සිංහල"),
        ("sk", "Slovenčina"),
        ("sl", "Slovenščina"),
        ("sq", "Shqip"),
        ("sr", "Српски"),
        ("sv-SE", "Svenska"),
        ("tk", "Turkmen"),
        ("tr", "Türkçe"),
        ("uk", "Українська"),
        ("vi", "Tiếng Việt"),
        ("zh-CN", "中文 (简体)"),
        ("zh-TW", "中文 (繁體)")
    )
)


# regions ----------------------------------------------------------------------

regions = OrderedDict(
    (
        ("DZ", "Algeria, الجزائر"),
        ("AR", "Argentina"),
        ("AU", "Australia"),
        ("AT", "Austria, Österreich"),
        ("AZ", "Azerbaijan"),
        ("BH", "Bahrain"),
        ("BD", "Bangladesh, বাংলাদেশ"),
        ("BY", "Belarus"),
        ("BE", "Belgium"),
        ("BO", "Bolivia"),
        ("BA", "Bosnia and Herzegovina"),
        ("BR", "Brazil, Brasil"),
        ("BG", "Bulgaria, България"),
        ("CA", "Canada"),
        ("CL", "Chile"),
        ("CO", "Colombia"),
        ("CR", "Costa Rica"),
        ("HR", "Croatia, Hrvatska"),
        ("CY", "Cyprus"),
        ("CZ", "Czechia, Česko"),
        ("DK", "Denmark, Danmark"),
        ("DO", "Dominican Republic, República Dominicana"),
        ("EC", "Ecuador"),
        ("EG", "Egypt, مصر"),
        ("SV", "El Salvador"),
        ("EE", "Estonia, Eesti"),
        ("FI", "Finland"),
        ("FR", "France"),
        ("GE", "Georgia, საქართველო"),
        ("DE", "Germany, Deutschland"),
        ("GH", "Ghana"),
        ("GR", "Greece, Ελλάδα"),
        ("GT", "Guatemala"),
        ("HN", "Honduras"),
        ("HK", "Hong Kong"),
        ("HU", "Hungary, Magyarország"),
        ("IS", "Iceland, Ísland"),
        ("IN", "India"),
        ("ID", "Indonesia"),
        ("IQ", "Iraq"),
        ("IE", "Ireland"),
        ("IL", "Israel"),
        ("IT", "Italy, Italia"),
        ("JM", "Jamaica"),
        ("JP", "Japan, 日本"),
        ("JO", "Jordan, الأردن"),
        ("KZ", "Kazakhstan"),
        ("KE", "Kenya"),
        ("KW", "Kuwait, الكويت"),
        ("LV", "Latvia, Latvija"),
        ("LB", "Lebanon"),
        ("LY", "Libya"),
        ("LI", "Liechtenstein"),
        ("LT", "Lithuania, Lietuva"),
        ("LU", "Luxembourg"),
        ("MY", "Malaysia"),
        ("MT", "Malta"),
        ("MX", "Mexico, México"),
        ("ME", "Montenegro, Црна Гора"),
        ("MA", "Morocco"),
        ("NP", "Nepal, नेपाल"),
        ("NL", "Netherlands, Nederland"),
        ("NZ", "New Zealand"),
        ("NI", "Nicaragua"),
        ("NG", "Nigeria"),
        ("MK", "North Macedonia, Македонија"),
        ("NO", "Norway"),
        ("OM", "Oman, عمان"),
        ("PK", "Pakistan"),
        ("PA", "Panama, Panamá"),
        ("PG", "Papua New Guinea"),
        ("PY", "Paraguay"),
        ("PE", "Peru"),
        ("PH", "Philippines"),
        ("PL", "Poland, Polska"),
        ("PT", "Portugal"),
        ("PR", "Puerto Rico"),
        ("QA", "Qatar, قطر"),
        ("RO", "Romania, România"),
        ("RU", "Russia, Россия"),
        ("SA", "Saudi Arabia, العربية السعودية"),
        ("SN", "Senegal, Sénégal"),
        ("RS", "Serbia, Србија"),
        ("SG", "Singapore"),
        ("SK", "Slovakia, Slovensko"),
        ("SI", "Slovenia, Slovenija"),
        ("ZA", "South Africa"),
        ("KR", "South Korea, 한국"),
        ("ES", "Spain, España"),
        ("LK", "Sri Lanka"),
        ("SE", "Sweden, Sverige"),
        ("CH", "Switzerland"),
        ("TW", "Taiwan, 台灣"),
        ("TZ", "Tanzania"),
        ("TH", "Thailand, ประเทศไทย"),
        ("TN", "Tunisia, تونس"),
        ("TR", "Turkey, Türkiye"),
        ("UG", "Uganda"),
        ("UA", "Ukraine, Україна"),
        ("AE", "United Arab Emirates, دولة الإمارات العربية المتحدة"),
        ("GB", "United Kingdom"),
        ("US", "United States"),
        ("UY", "Uruguay"),
        ("VE", "Venezuela"),
        ("VN", "Vietnam, Việt Nam"),
        ("YE", "Yemen, اليَمَن"),
        ("ZW", "Zimbabwe")
    )
)
